KinoSearch1::Highlight::SimpleHTMLFormatter(3pm)

NAME
KinoSearch1::Highlight::SimpleHTMLFormatter - surround highlight bits with tags

SYNOPSIS
    my $formatter = KinoSearch1::Highlight::SimpleHTMLFormatter->new(
        pre_tag  => '<i>',
        post_tag => '</i>',
    );

    # returns "<i>foo</i>"
    my $highlighted = $formatter->highlight("foo");

DESCRIPTION
This subclass of KinoSearch1::Highlight::Formatter highlights text by surrounding it with HTML "strong" tags.

METHODS

  new
Constructor. Takes hash-style params.

    my $formatter = KinoSearch1::Highlight::SimpleHTMLFormatter->new(
        pre_tag =>  '*', # default: '<strong>'
        post_tag => '*', # default: '</strong>'
    );

•   pre_tag - a string which will be inserted immediately prior to the highlightable text, typically to accentuate it. If you don't want highlighting, set both "pre_tag" and "post_tag" to ''.

•   post_tag - a string which will be inserted immediately after the highlightable text.

COPYRIGHT
Copyright 2006-2010 Marvin Humphrey

LICENSE, DISCLAIMER, BUGS, etc.
See KinoSearch1 version 1.01.